%define  upstream_name HTML_Template_Sigma

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: 	An implementation of Integrated Templates API with template 'compilation' added
Name: 		php-pear-%{upstream_name}
Version: 	1.3.0
Release: 	%mkrel 4
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_Template_Sigma-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_Template_Sigma
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
HTML_Template_Sigma implements Integrated Templates API designed by Ulf
Wendel.

Features:
* Nested blocks. Nesting is controlled by the engine.
* Ability to include files from within template: <!-- INCLUDE -->
* Automatic removal of empty blocks and unknown variables (methods to
manually tweak/override this are also available)
* Methods for runtime addition and replacement of blocks in templates
* Ability to insert simple function calls into templates:
func_uppercase('Hello world!') and to define callback functions for these
* 'Compiled' templates: the engine has to parse a template file using
regular expressions to find all the blocks and variable placeholders. This
is a very "expensive" operation and is an overkill to do on every page
request: templates seldom change on production websites. Thus this feature:
an internal representation of the template structure is saved into a file
and this file gets loaded instead of the source one on subsequent requests
(unless the source changes)
* PHPUnit-based tests to define correct behaviour
* Usage examples for most of the features are available, look in the docs/
directory

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Template_Sigma.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Template_Sigma.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Template_Sigma
fi

%files
%doc docs/HTML_Template_Sigma/*
%{peardir}/*
%{xmldir}/HTML_Template_Sigma.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-4.mga6
+ Revision: 945751
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 747773
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5
+ Revision: 687287
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 spuhler <spuhler> 1.3.0-1.mga5
+ Revision: 584766
- upgrade to ver 1.3.0
- pearized spec file

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-7.mga4
+ Revision: 516794
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-6.mga3
+ Revision: 376297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.2.0-5.mga1
+ Revision: 20865
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTML_Template_Sigma


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdv2011.0
+ Revision: 607108
- rebuild

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-4mdv2010.1
+ Revision: 477889
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.0-3mdv2010.0
+ Revision: 426644
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdv2009.1
+ Revision: 321867
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdv2009.0
+ Revision: 272590
- 1.2.0

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.6-3mdv2009.0
+ Revision: 224745
- rebuild

* Tue Feb 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-2mdv2008.1
+ Revision: 166139
- rpmlint fixes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2008.0
+ Revision: 28897
- 1.1.6

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.5-1mdv2008.0
+ Revision: 15466
- 1.1.5


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-2mdv2007.0
+ Revision: 81122
- Import php-pear-HTML_Template_Sigma

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-2mdk
- new group (Development/PHP)

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Thu Sep 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-1mdk
- 1.1.3

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdk
- initial Mandriva package (PLD import)

